How to find out Java version of TAC build application

Seven Stars

How to find out Java version of TAC build application

Hi All,

 

I would like to know which java version is used to develop TAC web application.

I am facing an issue when deploying TAC war file in apche-tomcat.

 

Please have details below:

1) Java 

     java version "1.8.0_11"  

    Java(TM) SE Runtime Environment (build 1.8.0_11-b12)          

   Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode) 

2) apache-tomcat 8.5

3)Error message 

   java.lang.UnsupportedClassVersionError: org/talend/administrator/common/persistence/servlet/EmbeddedDbCloser : Unsupported        

   major.minor version 52.0 (unable to load class org.talend.administrator.common.persistence.servlet.EmbeddedDbCloser)

   I have found the issue is related to Java version conflict.  

Thanks & Regards
A Ravi Kumar
Mobile Number : +91 852-762-1083
Email-id : a.ravikumar104@gmail.com
Skype Id : ammanannaravikumar
Moderator

Re: How to find out Java version of TAC build application

Hello,

What's your default java version in job server environment?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Seven Stars

Re: How to find out Java version of TAC build application

Hi,

 

I am not installed jobserver. I have installed apache-tomcat manually and deployed tac war file.

I am using "java version  1.8.0_11".

 

Thanks,

A Ravi Kumar

Thanks & Regards
A Ravi Kumar
Mobile Number : +91 852-762-1083
Email-id : a.ravikumar104@gmail.com
Skype Id : ammanannaravikumar
Moderator

Re: How to find out Java version of TAC build application

Hello,

The JVM parameters should appear in the JVM parameters tab in Job conductor.

Best regards

Sabrina

 

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Seven Stars

Re: How to find out Java version of TAC build application

Hi Xdshi,

 

Thanks for your response. I am not expecting talend job java vesrion.

Actually i would like to know on which java version talend administrator was build. So that i can install same java version in my machine to deploy tac in apache-tomcat. I am getting version conflict error.

Thanks & Regards
A Ravi Kumar
Mobile Number : +91 852-762-1083
Email-id : a.ravikumar104@gmail.com
Skype Id : ammanannaravikumar
Seven Stars

Re: How to find out Java version of TAC build application

Hi All,

 

I found the Java version is used for developing TAC application in the following path.

go to the directory  <apache_tomcat_path>/webapps/org.talend.administrator-6.4.1/META-INF/ and open a file "MANIFEST.MF" in this you will see Java version as follows.

 

         Manifest-Version: 1.0
         Ant-Version: Apache Ant 1.7.0
        Created-By: Apache Maven 3.2.5
        Archiver-Version: Plexus Archiver
        Built-By: jenkins
        Build-Jdk: 1.8.0_40

Note : <apache_tomcat_path> is where you installed apache-tomcat server.

 

Thanks,

A Ravi Kumar

Thanks & Regards
A Ravi Kumar
Mobile Number : +91 852-762-1083
Email-id : a.ravikumar104@gmail.com
Skype Id : ammanannaravikumar

Tutorial

Introduction to Talend Open Studio for Data Integration.

Definitive Guide to Data Integration

Practical steps to developing your data integration strategy.

Definitive Guide to Data Quality

Create systems and workflow to manage clean data ingestion and data transformation.